Bug 1845459 - RHEL-8 Backport nodedev race condition fix
Summary: RHEL-8 Backport nodedev race condition fix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libvirt
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Daniel Berrangé
QA Contact: yalzhang@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1846237
TreeView+ depends on / blocked
 
Reported: 2020-06-09 09:52 UTC by smitterl
Modified: 2020-11-09 06:46 UTC (History)
4 users (show)

Fixed In Version: libvirt-6.0.0-24.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1846237 (view as bug list)
Environment:
Last Closed: 2020-11-04 02:54:04 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4676 0 None None None 2020-11-04 02:54:46 UTC

Description smitterl 2020-06-09 09:52:11 UTC
Description of problem:
List of nodedev is not populated correctly.

Version-Release number of selected component (if applicable):
libvirt-daemon-6.0.0-17.module+el8.3.0+6423+e4cb6418.s390x

How reproducible:
99%


Steps to Reproduce:
1. systemctl stop libvirtd
2. virsh nodedev-list --cap net

Actual results:
empty


Expected results:
List of net devices, that is, whatever is displayed if 2. is repeated, e.g.
net_enc600_1a_79_fe_a2_82_fd
net_lo_00_00_00_00_00_00
net_virbr0_nic_52_54_00_4d_4f_f4

Additional info:
a.) Fix is available upstream https://gitlab.com/libvirt/libvirt/-/commit/008abeb03c262149b756ad5a226ff6cbc5e37e2c
b.) s390x doesn't have AV
c.) This causes false negatives for tp-libvirt virsh.nodedev_dumpxml.positve_test.acl_test.device_type_net

Comment 1 yalzhang@redhat.com 2020-06-10 23:40:31 UTC
Refer to Bug 1813282, the patch included in libvirt-6.2.0-1.el8 on rhel-av 8.3.0

Comment 5 yalzhang@redhat.com 2020-07-09 05:56:57 UTC
Test on libvirt-libs-6.0.0-25.module+el8.3.0+7176+57f10f42.x86_64 with the steps in bug 1846237#c4, the issue is fixed. Set the bug to be verified.

Comment 8 errata-xmlrpc 2020-11-04 02:54:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: virt:rhel and virt-devel:rhel security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4676


Note You need to log in before you can comment on or make changes to this bug.